package com.zioinfo.signage.mapper;

import com.zioinfo.signage.domain.TemplateGroupVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;

@Mapper
public interface TemplateGroupMapper {
    List<TemplateGroupVo> findAll(@Param("tenantCode") String tenantCode,
                          @Param("keyword") String keyword);
    TemplateGroupVo findById(@Param("id") Long id);
    int insert(TemplateGroupVo vo);
    int update(TemplateGroupVo vo);
    int delete(@Param("id") Long id);
    long countAll(@Param("tenantCode") String tenantCode);
}
